package com.github.wxiaoqi.security.admin.jobhandler;


import com.github.wxiaoqi.security.admin.biz.CompanyInfoApplyBiz;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.IJobHandler;
import com.xxl.job.core.handler.annotation.JobHandler;
import com.xxl.job.core.log.XxlJobLogger;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 跨平台Http任务
 *
 * @author xuxueli 2018-09-16 03:48:34
 */
@JobHandler(value = "companyApplyHandler")
@Component
@Slf4j
public class CompanyApplyJobHandler extends IJobHandler {

    @Autowired
    CompanyInfoApplyBiz companyInfoApplyBiz;

    @Override
    public ReturnT<String> execute(String var1) {
        try {
             XxlJobLogger.log("-----定时器进入---companyApplyHandler---");
            log.info("-----定时器进入---companyApplyHandler---");
            companyInfoApplyBiz.authAudit();
            return ReturnT.SUCCESS;
        } catch (Exception e) {
            XxlJobLogger.log(e);
            return FAIL;
        } finally {
        }
    }

}